import { InvoiceParticipantAddress } from "@/contexts/invoicing/domain";
import { IListInvoice_AddressParticipant_Response_DTO } from "@shared/contexts";

export const InvoiceParticipantAddressPresenter = (
  address: InvoiceParticipantAddress,
): IListInvoice_AddressParticipant_Response_DTO => {
  return {
    address_id: address?.id.toString(),
    street: address?.street.toString(),
    city: address?.city.toString(),
    postal_code: address?.postalCode.toString(),
    province: address?.province.toString(),
    country: address?.country.toString(),
    email: address?.email.toString(),
    phone: address?.phone.toString(),
  };
};
